#include <bits/stdc++.h>

using namespace std;

int main()
{
    // takmicarsko programiranje
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    // unos
    int n, h; cin >> n >> h;
    int stalaktiti[n];
    cin >> stalaktiti[0];
    for (int i = 1; i < n; i++) 
    {
        int tren; cin >> tren;
        stalaktiti[i] = min(stalaktiti[i - 1], tren);
    }

    // binarna po resenju
    int ans = -1, l = 0, r = n - 1;
    while (l <= r)
    {
        int mid = l + (r - l) / 2;

        if (h > stalaktiti[mid])
        {
            ans = mid + 1;
            r = mid - 1;
        }
        else l = mid + 1;
    }

    // izlaz
    cout << ans << endl;

}